Pacman

Welcome to the Pacman bug tracker. Please search the current bugs and feature requests before filing a new one! Use advanced search and select "Search in Comments".

* Please select the correct category and version.
* Write a descriptive summary, background info, and provide a reproducible test case whenever possible.
Tasklist

FS#6626 - weak deps (package suggests or recommends)

Attached to Project: Pacman
Opened by Piotr Beling (qwak) - Sunday, 18 March 2007, 18:28 GMT
Last edited by Dan McGee (toofishes) - Friday, 08 February 2008, 19:42 GMT
Task Type Feature Request
Category
Status Closed
Assigned To Dan McGee (toofishes)
Architecture not specified
Severity Low
Priority Normal
Reported Version 0.7.2 Gimmick
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Some software (packages) works better if some other packages are installed.
For example if user install gstreamer, he probably need some plugins.
I know that is possible to show Him information about it but special mechanism in pacman will be much better.

PKGBUILD file for package should includes information which packages are suggests to install with this packed, for example:
weekdeps=('gstreamer0.10-alsa' 'gstreamer0.10-ogg' ...)

And pacman should provide mechanism to install (and removes) package with their week deps.

It will be great if weekdeps could be also graduate (how important it is), for example:
weakdeps1=('gstreamer0.10-ogg' ...)
weakdeps2=('gstreamer0.10-alsa' ...)

and user could easy install package with all its weakdeps with rank greater or equal than given x.
This task depends upon

Closed by  Dan McGee (toofishes)
Friday, 08 February 2008, 19:42 GMT
Reason for closing:  Implemented
Additional comments about closing:  Implemented as optdepends already, and anyone is welcome to step forward and improve that framework.
Comment by Jan de Groot (JGC) - Sunday, 18 March 2007, 19:19 GMT
Would be nice to have this, though I would call it "suggests" instead of "weekdeps" (or weakdeps as it should be). This will clear out a lot of crappy install files that tell users "if you want this install that" on post_install and post_upgrade. Adding a flag to pacman to install these suggestions automatically (or even ask the user for it by default) will make this a great feature.
Comment by Dan McGee (toofishes) - Sunday, 18 March 2007, 20:18 GMT
optdepends has been suggested before on the pacman-dev ML. This is something that can be introduced even if it doesn't take effect for a while, so this is a likely future addition.
Comment by Piotr Beling (qwak) - Sunday, 18 March 2007, 21:05 GMT
Firstly, I want apologize for spelling mistake (of course I had "weakdeps" in mind, not "weekdeps").
PS. Could I change future request text now (to fix this mistake)?

Secondly, I thing that name is implementation detail, and all are good:
optdepends, suggests, weakdeps, weakdepends, and (weak)depts1, (weak)depts2, optdepends1, optdepends2...
Now, My favorite is "optdepends".
Comment by Dan McGee (toofishes) - Wednesday, 21 March 2007, 13:45 GMT Comment by Roman Kyrylych (Romashka) - Wednesday, 21 March 2007, 13:54 GMT
Thanks, Dan!
See also FRs #2126, #3840 (closed) and this comment: http://bugs.archlinux.org/task/4845#comment10357 (not the whole FR)
Comment by PK (pelle.k) - Saturday, 31 March 2007, 19:49 GMT
It would be great if there were two grades (one would also suffice) of optdepends. like those who really enhance the application in question, and also those depends that would add extra features to the application.
documentation could be an enhancement. extra libs, could be a suggestion/recommendation.

Loading...